Loading...
Searching...
No Matches
EST_WaveFile Class Reference
Collaboration diagram for EST_WaveFile:
[legend]

## Public Types

typedef EST_read_status | Load_TokenStream(LoadWave_TokenStreamArgs)
typedef EST_write_status | Save_TokenStream(SaveWave_TokenStreamArgs)

## Static Public Member Functions

static EST_write_status | save_nist (SaveWave_TokenStreamArgs)
static EST_write_status | save_nist_header (SaveWave_TokenStreamArgs)
static EST_write_status | save_nist_data (SaveWave_TokenStreamArgs)
static EST_read_status | load_nist (LoadWave_TokenStreamArgs)
static EST_write_status | save_est (SaveWave_TokenStreamArgs)
static EST_write_status | save_est_header (SaveWave_TokenStreamArgs)
static EST_write_status | save_est_data (SaveWave_TokenStreamArgs)
static EST_read_status | load_est (LoadWave_TokenStreamArgs)
static EST_write_status | save_esps (SaveWave_TokenStreamArgs)
static EST_write_status | save_esps_header (SaveWave_TokenStreamArgs)
static EST_write_status | save_esps_data (SaveWave_TokenStreamArgs)
static EST_read_status | load_esps (LoadWave_TokenStreamArgs)
static EST_write_status | save_audlab (SaveWave_TokenStreamArgs)
static EST_write_status | save_audlab_header (SaveWave_TokenStreamArgs)
static EST_write_status | save_audlab_data (SaveWave_TokenStreamArgs)
static EST_read_status | load_audlab (LoadWave_TokenStreamArgs)
static EST_write_status | save_snd (SaveWave_TokenStreamArgs)
static EST_write_status | save_snd_header (SaveWave_TokenStreamArgs)
static EST_write_status | save_snd_data (SaveWave_TokenStreamArgs)
static EST_read_status | load_snd (LoadWave_TokenStreamArgs)
static EST_write_status | save_aiff (SaveWave_TokenStreamArgs)
static EST_write_status | save_aiff_header (SaveWave_TokenStreamArgs)
static EST_write_status | save_aiff_data (SaveWave_TokenStreamArgs)
static EST_read_status | load_aiff (LoadWave_TokenStreamArgs)
static EST_write_status | save_riff (SaveWave_TokenStreamArgs)
static EST_write_status | save_riff_header (SaveWave_TokenStreamArgs)
static EST_write_status | save_riff_data (SaveWave_TokenStreamArgs)
static EST_read_status | load_riff (LoadWave_TokenStreamArgs)
static EST_write_status | save_raw (SaveWave_TokenStreamArgs)
static EST_write_status | save_raw_header (SaveWave_TokenStreamArgs)
static EST_write_status | save_raw_data (SaveWave_TokenStreamArgs)
static EST_read_status | load_raw (LoadWave_TokenStreamArgs)
static EST_write_status | save_ulaw (SaveWave_TokenStreamArgs)
static EST_write_status | save_ulaw_header (SaveWave_TokenStreamArgs)
static EST_write_status | save_ulaw_data (SaveWave_TokenStreamArgs)
static EST_read_status | load_ulaw (LoadWave_TokenStreamArgs)
static EST_write_status | save_alaw (SaveWave_TokenStreamArgs)
static EST_write_status | save_alaw_header (SaveWave_TokenStreamArgs)
static EST_write_status | save_alaw_data (SaveWave_TokenStreamArgs)
static EST_read_status | load_alaw (LoadWave_TokenStreamArgs)
static EST_String | options_supported (void)
static EST_String | options_short (void)

## Static Public Attributes

static EST_TNamedEnumI< EST_WaveFileType, Info > | map

## Detailed Description

Definition at line 64 of file EST_WaveFile.h.

## Member Typedef Documentation

## Load_TokenStream

typedef EST_read_status EST_WaveFile::Load_TokenStream(LoadWave_TokenStreamArgs)

Definition at line 91 of file EST_WaveFile.h.

## Save_TokenStream

typedef EST_write_status EST_WaveFile::Save_TokenStream(SaveWave_TokenStreamArgs)

Definition at line 93 of file EST_WaveFile.h.

## Member Function Documentation

## save_nist()

EST_write_status EST_WaveFile::save_nist | ( | SaveWave_TokenStreamArgs |  | ) |

static

Definition at line 142 of file EST_WaveFile.cc.

## save_nist_header()

EST_write_status EST_WaveFile::save_nist_header | ( | SaveWave_TokenStreamArgs |  | ) |

static

Definition at line 156 of file EST_WaveFile.cc.

## save_nist_data()

EST_write_status EST_WaveFile::save_nist_data | ( | SaveWave_TokenStreamArgs |  | ) |

static

Definition at line 149 of file EST_WaveFile.cc.

## load_nist()

EST_read_status EST_WaveFile::load_nist | ( | LoadWave_TokenStreamArgs |  | ) |

static

Definition at line 130 of file EST_WaveFile.cc.

## save_est()

EST_write_status EST_WaveFile::save_est | ( | SaveWave_TokenStreamArgs |  | ) |

static

Definition at line 177 of file EST_WaveFile.cc.

## save_est_header()

EST_write_status EST_WaveFile::save_est_header | ( | SaveWave_TokenStreamArgs |  | ) |

static

Definition at line 195 of file EST_WaveFile.cc.

## save_est_data()

EST_write_status EST_WaveFile::save_est_data | ( | SaveWave_TokenStreamArgs |  | ) |

static

Definition at line 186 of file EST_WaveFile.cc.

## load_est()

EST_read_status EST_WaveFile::load_est | ( | LoadWave_TokenStreamArgs |  | ) |

static

Definition at line 163 of file EST_WaveFile.cc.

## save_esps()

EST_write_status EST_WaveFile::save_esps | ( | SaveWave_TokenStreamArgs |  | ) |

static

Definition at line 282 of file EST_WaveFile.cc.

## save_esps_header()

EST_write_status EST_WaveFile::save_esps_header | ( | SaveWave_TokenStreamArgs |  | ) |

static

Definition at line 300 of file EST_WaveFile.cc.

## save_esps_data()

EST_write_status EST_WaveFile::save_esps_data | ( | SaveWave_TokenStreamArgs |  | ) |

static

Definition at line 291 of file EST_WaveFile.cc.

## load_esps()

EST_read_status EST_WaveFile::load_esps | ( | LoadWave_TokenStreamArgs |  | ) |

static

Definition at line 270 of file EST_WaveFile.cc.

## save_audlab()

EST_write_status EST_WaveFile::save_audlab | ( | SaveWave_TokenStreamArgs |  | ) |

static

Definition at line 321 of file EST_WaveFile.cc.

## save_audlab_header()

EST_write_status EST_WaveFile::save_audlab_header | ( | SaveWave_TokenStreamArgs |  | ) |

static

Definition at line 335 of file EST_WaveFile.cc.

## save_audlab_data()

EST_write_status EST_WaveFile::save_audlab_data | ( | SaveWave_TokenStreamArgs |  | ) |

static

Definition at line 328 of file EST_WaveFile.cc.

## load_audlab()

EST_read_status EST_WaveFile::load_audlab | ( | LoadWave_TokenStreamArgs |  | ) |

static

Definition at line 309 of file EST_WaveFile.cc.

## save_snd()

EST_write_status EST_WaveFile::save_snd | ( | SaveWave_TokenStreamArgs |  | ) |

static

Definition at line 354 of file EST_WaveFile.cc.

## save_snd_header()

EST_write_status EST_WaveFile::save_snd_header | ( | SaveWave_TokenStreamArgs |  | ) |

static

Definition at line 368 of file EST_WaveFile.cc.

## save_snd_data()

EST_write_status EST_WaveFile::save_snd_data | ( | SaveWave_TokenStreamArgs |  | ) |

static

Definition at line 361 of file EST_WaveFile.cc.

## load_snd()

EST_read_status EST_WaveFile::load_snd | ( | LoadWave_TokenStreamArgs |  | ) |

static

Definition at line 342 of file EST_WaveFile.cc.

## save_aiff()

EST_write_status EST_WaveFile::save_aiff | ( | SaveWave_TokenStreamArgs |  | ) |

static

Definition at line 216 of file EST_WaveFile.cc.

## save_aiff_header()

EST_write_status EST_WaveFile::save_aiff_header | ( | SaveWave_TokenStreamArgs |  | ) |

static

Definition at line 230 of file EST_WaveFile.cc.

## save_aiff_data()

EST_write_status EST_WaveFile::save_aiff_data | ( | SaveWave_TokenStreamArgs |  | ) |

static

Definition at line 223 of file EST_WaveFile.cc.

## load_aiff()

EST_read_status EST_WaveFile::load_aiff | ( | LoadWave_TokenStreamArgs |  | ) |

static

Definition at line 204 of file EST_WaveFile.cc.

## save_riff()

EST_write_status EST_WaveFile::save_riff | ( | SaveWave_TokenStreamArgs |  | ) |

static

Definition at line 249 of file EST_WaveFile.cc.

## save_riff_header()

EST_write_status EST_WaveFile::save_riff_header | ( | SaveWave_TokenStreamArgs |  | ) |

static

Definition at line 263 of file EST_WaveFile.cc.

## save_riff_data()

EST_write_status EST_WaveFile::save_riff_data | ( | SaveWave_TokenStreamArgs |  | ) |

static

Definition at line 256 of file EST_WaveFile.cc.

## load_riff()

EST_read_status EST_WaveFile::load_riff | ( | LoadWave_TokenStreamArgs |  | ) |

static

Definition at line 237 of file EST_WaveFile.cc.

## save_raw()

EST_write_status EST_WaveFile::save_raw | ( | SaveWave_TokenStreamArgs |  | ) |

static

Definition at line 404 of file EST_WaveFile.cc.

## save_raw_header()

EST_write_status EST_WaveFile::save_raw_header | ( | SaveWave_TokenStreamArgs |  | ) |

static

Definition at line 424 of file EST_WaveFile.cc.

## save_raw_data()

EST_write_status EST_WaveFile::save_raw_data | ( | SaveWave_TokenStreamArgs |  | ) |

static

Definition at line 416 of file EST_WaveFile.cc.

## load_raw()

EST_read_status EST_WaveFile::load_raw | ( | LoadWave_TokenStreamArgs |  | ) |

static

Definition at line 377 of file EST_WaveFile.cc.

## save_ulaw()

EST_write_status EST_WaveFile::save_ulaw | ( | SaveWave_TokenStreamArgs |  | ) |

static

Definition at line 443 of file EST_WaveFile.cc.

## save_ulaw_header()

EST_write_status EST_WaveFile::save_ulaw_header | ( | SaveWave_TokenStreamArgs |  | ) |

static

Definition at line 462 of file EST_WaveFile.cc.

## save_ulaw_data()

EST_write_status EST_WaveFile::save_ulaw_data | ( | SaveWave_TokenStreamArgs |  | ) |

static

Definition at line 452 of file EST_WaveFile.cc.

## load_ulaw()

EST_read_status EST_WaveFile::load_ulaw | ( | LoadWave_TokenStreamArgs |  | ) |

static

Definition at line 431 of file EST_WaveFile.cc.

## save_alaw()

EST_write_status EST_WaveFile::save_alaw | ( | SaveWave_TokenStreamArgs |  | ) |

static

Definition at line 501 of file EST_WaveFile.cc.

## save_alaw_header()

EST_write_status EST_WaveFile::save_alaw_header | ( | SaveWave_TokenStreamArgs |  | ) |

static

Definition at line 483 of file EST_WaveFile.cc.

## save_alaw_data()

EST_write_status EST_WaveFile::save_alaw_data | ( | SaveWave_TokenStreamArgs |  | ) |

static

Definition at line 492 of file EST_WaveFile.cc.

## load_alaw()

EST_read_status EST_WaveFile::load_alaw | ( | LoadWave_TokenStreamArgs |  | ) |

static

Definition at line 471 of file EST_WaveFile.cc.

## options_supported()

EST_String EST_WaveFile::options_supported | ( | void |  | ) |

static

Definition at line 723 of file EST_WaveFile.cc.

## options_short()

EST_String EST_WaveFile::options_short | ( | void |  | ) |

static

Definition at line 706 of file EST_WaveFile.cc.

## Member Data Documentation

## map

EST_TNamedEnumI< EST_WaveFileType, EST_WaveFile::Info > EST_WaveFile::map

static

Definition at line 154 of file EST_WaveFile.h.

The documentation for this class was generated from the following files:

- speech_class/EST_WaveFile.h
- speech_class/EST_WaveFile.cc